# Get usage term v2 - Checkly Docs

> Get a usage term with its budget, accounts and applied pricing rules.

Source: https://www.checklyhq.com/docs/api-reference/usage/get-a-usage-term-with-its-budget-accounts-and-applied-pricing-rules/

---

Get usage term

```
curl --request GET \
--url https://api.checklyhq.com/v2/usage/terms/{id} \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v2/usage/terms/{id}"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v2/usage/terms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v2/usage/terms/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v2/usage/terms/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v2/usage/terms/{id}")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v2/usage/terms/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": " ",
"accounts": [
{
"id": " ",
"name": " "
}
],
"contractStartDate": "2023-12-25",
"contractEndDate": "2023-12-25",
"usageStartDate": "2023-12-25",
"creditBudget": 1,
"standardCreditsPerUnit": 1,
"premiumCreditsPerUnit": 1,
"packageModel": "limits",
"pricingRules": {
"apiChecks": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"multistepChecks": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"browserChecks": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"playwrightCheckSuites": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"uptimeMonitors": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"aiInvocations": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"statusPages": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"statusPageAdditionalServices": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"statusPageAdditionalSubscribers": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"additionalSms": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"additionalPhoneAlerts": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
}
}
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

Usage

# Get usage term v2

Get a usage term with its budget, accounts and applied pricing rules.

GET

/

v2

/

usage

/

terms

/

{id}

Get usage term

```
curl --request GET \
--url https://api.checklyhq.com/v2/usage/terms/{id} \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v2/usage/terms/{id}"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v2/usage/terms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v2/usage/terms/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v2/usage/terms/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v2/usage/terms/{id}")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v2/usage/terms/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": " ",
"accounts": [
{
"id": " ",
"name": " "
}
],
"contractStartDate": "2023-12-25",
"contractEndDate": "2023-12-25",
"usageStartDate": "2023-12-25",
"creditBudget": 1,
"standardCreditsPerUnit": 1,
"premiumCreditsPerUnit": 1,
"packageModel": "limits",
"pricingRules": {
"apiChecks": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"multistepChecks": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"browserChecks": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"playwrightCheckSuites": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"uptimeMonitors": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"aiInvocations": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"statusPages": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"statusPageAdditionalServices": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"statusPageAdditionalSubscribers": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"additionalSms": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
},
"additionalPhoneAlerts": {
"method": "per_unit",
"quantity": 1,
"unit": " ",
"credits": 1,
"rates": [
{
"when": " ",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": " "
}
}
}
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"code": "ACCOUNT_NOT_IN_USAGE_TERMS",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

#### Authorizations

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys).
Your API key is like a password:
keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

x-checkly-account

string<uuid>

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Path Parameters

id

string<uuid>

required

#### Response

Successful

id

string<uuid>

required

name

string

required

accounts

object[]

required

Show child attributes

contractStartDate

string<date>

required

contractEndDate

string<date>

required

usageStartDate

string<date>

required

creditBudget

number | null

required

Required range: `x > 0`

standardCreditsPerUnit

number | null

required

Required range: `x >= 0`

premiumCreditsPerUnit

number | null

required

Required range: `x >= 0`

packageModel

enum<string> | null

required

Available options: `limits`,

`credits`,

`null`

pricingRules

object | null

required

Show child attributes

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/usage/get-a-usage-term-with-its-budget-accounts-and-applied-pricing-rules.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/usage/get-a-usage-term-with-its-budget-accounts-and-applied-pricing-rules)

[Get usage summary v2 Previous](https://www.checklyhq.com/docs/api-reference/usage/get-consumption-across-usage-terms-with-a-calculation-breakdown-for-each-pricing-rule)[Get usage projections v2 Next](https://www.checklyhq.com/docs/api-reference/usage/project-whole-term-credit-consumption-from-completed-utc-days-using-v2-pricing-rules)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
